<div class="login-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <h4 class="border-ttl">Contact Details</h4>
                      <form  [formGroup]="companyContactForm" (ngSubmit)="saveCompanyContact()">
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Name</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "contactName" class="form-control" placeholder="Enter Company Name">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.fullname">
                                      <span  *ngIf="companyContactForm.get('contactName').hasError(validation.type) && (companyContactForm.get('contactName').dirty || companyContactForm.get('contactName').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Email</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="email" name="" formControlName = "EmailId" class="form-control" placeholder="Enter Email Address">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.email">
                                      <span  *ngIf="companyContactForm.get('EmailId').hasError(validation.type) && (companyContactForm.get('EmailId').dirty || companyContactForm.get('EmailId').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Mobile Number</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "mobileNo" class="form-control" placeholder="Enter Mobile Number">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.phone">
                                      <span  *ngIf="companyContactForm.get('mobileNo').hasError(validation.type) && (companyContactForm.get('mobileNo').dirty || companyContactForm.get('mobileNo').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Telephone Number</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="text" name="" formControlName = "contactTelephoneNo" class="form-control" placeholder="Enter Your Contact Number">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.phone">
                                      <span  *ngIf="companyContactForm.get('contactTelephoneNo').hasError(validation.type) && (companyContactForm.get('contactTelephoneNo').dirty || companyContactForm.get('contactTelephoneNo').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group text-center">
                              <input type="submit" name="" value="Save" class="btn">
                          </div>
                      </form>
                  </div>
                  
              </div>
          </div>    
      </div>
  </div>
</div>